Back Plate Pack for Scania S&R 2016 [1.33.x]

The pack contains 5 different bars with lots of slots to add lights (provided in the pack), templates are also provided (in the archive).
Test on v1.33 version

Credits:
DimDoum87x

DOWNLOAD 37 MB

17 thoughts on “Back Plate Pack for Scania S&R 2016 [1.33.x]

  1. ATTENTION !!!
    Download NOT from the Author.
    From a Thief on:
    mods.to
    Uploaded:
    2019-01-12 14:29:07
    Uploader:
    ATS-ETS2-FS

  2. KattBjorn92

    Good to know…

  3. DimDoum87x

    I am the creator and the link is not good !!!!!!!!!!!

    Change it by the good link that is -> https://sharemods.com/t52eqhef0ppl/BackPlate_v1_DimDoum87x.zip.html

    !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

    1. Denni Nielsen

      How to install??

  4. uploader – a-d-m-i-n of this site. He replace link

    1. You are right, admin deleted your comment on Scania Bus mod page.

      What a shame! Rip ets2.lt and atsmods.lt

      I will spread that on everywhere and give support to everyone for legal issues. This is serious now.

    2. TomDooley

      Once upon a time, you could contact the site admin and get illegal reuploads removed, or links changed to your own. By now, these places just #### on the authors and only care for their own petty profit.

  5. martijn140502

    mod is not working!!

    1. it work with remoled for nextgen v 1.7 this is the link:https://forum.scssoft.com/viewtopic.php?f=175&t=260487 enjoy!!!

      1. Martin Bell

        doesn’t work also not with the Remoled or without it.

        rework the mod or tell in which position the mod should be in the Modmanager

        1. TheGreenlightTrucker

          Mod work for me with some other mods.
          Mod Manager Position: BackPlate on top of Remoled.

  6. нет файла скс. мод не работает

  7. The Master

    The mod would also be great for DAF XF 105

  8. i have the 1.32 version of the game i have aded the mod and it shows in the mod list hoever in the game i the grarage i dont see it

    1. TheGreenlightTrucker

      Why you don’t update to 1.33?

    2. TheGreenlightTrucker

      BTW: You need “Remoled Next Gen”.

      1. it works on 1.32 no problem and i have it on the botom of the mod list if not it conflicts whit other truck mods ,tanks for the information i needeed to have the other file mod in onther to work if not i wont work

Leave a Reply to JoachimK Cancel reply

Your email address will not be published.

Human Verification: In order to verify that you are a human and not a spam bot, please enter the answer into the following box below based on the instructions contained in the graphic.